from sqlalchemy import Boolean, Column, Integer, Unicode

from .meta import Base


class AccountType(Base):
    __tablename__ = "account_types"

    id = Column("id", Integer, primary_key=True)
    name = Column("name", Unicode(255), unique=True, nullable=False)
    balance_sheet = Column("balance_sheet", Boolean, nullable=False)
    debit = Column("debit", Boolean, nullable=False)
    cash_flow_classification = Column("cash_flow_classification", Unicode(255), nullable=False)
    order = Column("order", Integer, nullable=False)
    show_in_list = Column("show_in_list", Boolean, nullable=False)
