class AttendanceType:
    def __init__(self, id_, name, value=None):
        self.id = id_
        self.name = name
        self.value = value

    @classmethod
    def list(cls):
        return [
            AttendanceType(0, "Not Set", 0),
            AttendanceType(1, "Present", 1),
            AttendanceType(2, "Off Day", 1),
            AttendanceType(3, "On Leave", 0),
            AttendanceType(4, "Absent", 0),
            AttendanceType(5, "Half Day", 0.5),
            AttendanceType(6, "Double Duty", 2),
            AttendanceType(7, "Paid Leave Availed", 1),
            AttendanceType(8, "Casual Leave Availed", 1),
            AttendanceType(9, "Compensatory Off", 1),
            AttendanceType(10, "Half Day + PL", 1),
            AttendanceType(11, "Half Day + CL", 1),
        ]

    @classmethod
    def by_name(cls, name):
        return next(i for i in cls.list() if i.name == name)

    @classmethod
    def by_id(cls, id_):
        return next(i for i in cls.list() if i.id == id_)
