import uuid
from typing import Optional

from pydantic import BaseModel

from brewman.schemas.product import ProductLink


class RecipeItem(BaseModel):
    id_: Optional[uuid.UUID]
    product: ProductLink
    quantity: int
    price: int

    class Config:
        fields = {"id_": "id"}