import { Product } from './product';

export class Batch {
  id: string | null;
  name: string;
  quantityRemaining: number;
  tax: number;
  discount: number;
  rate: number;
  sku: Product;

  public constructor(init?: Partial<Batch>) {
    this.id = null;
    this.name = '';
    this.quantityRemaining = 0;
    this.tax = 0;
    this.discount = 0;
    this.rate = 0;
    this.sku = new Product();
    Object.assign(this, init);
  }
}
